org.eclipse.wst.jsdt.chromium.debug.core.model

## Interface JavascriptThread.SuspendedState

Enclosing class:
  JavascriptThread

    public static interface JavascriptThread.SuspendedState

Holds 'suspended' state of the thread. As such has a getter to `DebugContext`. It also keep references to basic enclosing objects.

### Method Summary

All Methods Instance Methods Abstract Methods
`DebugContext` `getDebugContext()`
`JavascriptThread` `getThread()`
`boolean` `isDismissed()` Unsafe asynchronous getter: may return false, while the actual value has become true.

### Method Detail

#### getThread

    JavascriptThread getThread()

#### getDebugContext

    DebugContext getDebugContext()

#### isDismissed

    boolean isDismissed()

Unsafe asynchronous getter: may return false, while the actual value has become true.